# Class Thread

java.lang.Object
org.apache.tomcat.jni.Thread

@Deprecated public class Thread extends Object
Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 9.1.x / Tomcat Native 2.x and has been reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
Thread.

## Constructor Summary

Constructors
Constructor
Description
`Thread()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static long`
`current()`
Deprecated.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Thread

public Thread()
Deprecated.

## Method Details

### current

public static long current()
Deprecated.

Returns:
  the current thread ID handle.